Subject: Re: Bash 2.01 bug in coolview
From: [email-masked] (P.J. Kersten)

24 Jan 1998 16:37:25 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Bruce N. Hunsaker" <[email-masked]>
Cc: [email-masked]

Bruce N. Hunsaker wrote:
> 
> In the version of bash.exe that is distributed with coolview
> I have experienced the following problem:
> 
>         $ ls -l | cat
>         $
> No output when using pipes!  In this example, the size of the
> directory makes a difference.  For small directories, it works
> correctly.  Make it a little larger and the output gets truncated.
> Bigger still, and no output will be shown.
> 
> I get better results if I do
>         $ set +o monitor
> but this has no effect if put in .bashrc
> 
> I also get proper results by adding parenthesis:
>         $ (ls -l | cat)
> 
> I have none of these problems with the bash that ships with b18.
> 
> Perhaps there is some other setting for bash I can put
> in .bashrc to fix this problem?

There has been a reported problem with the HUP signal.
Try 
	trap '' 5
in your .bashrc. It works for me.

-- 
Pieter J. Kersten
Erasmus Universiteit Rotterdam
dir. I&A/I&S, WH2-10
Postbus 1738
3000 DR  Rotterdam
Nederland
Tel +31-10-4082599
Fax +31-10-4527236
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".